gRPC C#
gRPC C#
Namespaces
Grpc.Core.Logging
ILogger Interface
ILogger Methods
Debug Method
Error Method
ForType(T) Method
Info Method
Warning Method

ILogger Methods

The ILogger type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Debug | Logs a message with severity Debug.
| Error(String, Object ) | Logs a message with severity Error.
| Error(Exception, String, Object ) | Logs a message and an associated exception with severity Error.
| ForType T | Returns a logger associated with the specified type.
| Info | Logs a message with severity Info.
| Warning(String, Object ) | Logs a message with severity Warning.
| Warning(Exception, String, Object ) | Logs a message and an associated exception with severity Warning.

Top
See Also

#### Reference

ILogger Interface
Grpc.Core.Logging Namespace